
TYPO3.Neos - Bug # 27503

Status: Resolved Priority: Must have
Author: Aske Ertmann Category:
Created: 2011-06-16 Assigned To:
Updated: 2011-07-13 Due date:
Subject: TYPO3_lastVisitedUri causes problems with non hostname paths for rootpages
Description

The cookie TYPO3_lastVisitedUri is set with the path to the current page in TYPO3/Resources/Private/TypoScriptObjects/Head.html

This works fine if you're using the hostname as the root for your website (http://localhost/). But if you're using something like 
http://localhost/Web/ it doesn't work on the rootpage.

Associated revisions
Revision e6586a53 - 2011-07-13 10:46 - Aske Ertmann

[BUGFIX] Fix TYPO3_lastVisitedUri for subdirectories

When generating TYPO3_lastVisitedUri a wrong path would be stored for
URLs ending with a / but not being "/" at the same time:
 /foobar/ -> /foobar/
should be
 /foobar/ -> /foobar/{node.name}.html
instead.

Change-Id: Ie214f5b199460d950f8b2bb6e386268a44e11b1d
Fixes: #27503

History
#1 - 2011-06-16 18:01 - Aske Ertmann
- Subject changed from TYPO3_lastVisitedUri doesn't if siteroot isn't location hostname to TYPO3_lastVisitedUri causes problems with non hostname 
paths for rootpages

#2 - 2011-06-16 18:02 - Mr. Hudson

Patch set 1 of change Ie214f5b199460d950f8b2bb6e386268a44e11b1d has been pushed to the review server.
It is available at http://review.typo3.org/2774

#3 - 2011-06-27 18:28 - Mr. Hudson

Patch set 2 of change Ie214f5b199460d950f8b2bb6e386268a44e11b1d has been pushed to the review server.
It is available at http://review.typo3.org/2774

#4 - 2011-07-10 10:32 - Mr. Hudson

Patch set 3 of change Ie214f5b199460d950f8b2bb6e386268a44e11b1d has been pushed to the review server.
It is available at http://review.typo3.org/2774
#5 - 2011-07-13 10:14 - Mr. Hudson

Patch set 4 of change Ie214f5b199460d950f8b2bb6e386268a44e11b1d has been pushed to the review server.
It is available at http://review.typo3.org/2774

#6 - 2011-07-13 10:46 - Mr. Hudson

Patch set 5 of change Ie214f5b199460d950f8b2bb6e386268a44e11b1d has been pushed to the review server.
It is available at http://review.typo3.org/2774

#7 - 2011-07-13 11:05 - Aske Ertmann
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e6586a536aa14bb59ce57e217f7a6ae52bf0743d.
